package blobovnicza

type Metrics interface {
	IncOpenBlobovnizcaCount()
	DecOpenBlobovnizcaCount()

	AddSize(size uint64)
	SubSize(size uint64)
}

type NoopMetrics struct{}

func (m *NoopMetrics) IncOpenBlobovnizcaCount() {}
func (m *NoopMetrics) DecOpenBlobovnizcaCount() {}
func (m *NoopMetrics) AddSize(uint64)           {}
func (m *NoopMetrics) SubSize(uint64)           {}
